For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
        • GETGet test invocation
        • POSTResubmit test invocation
        • GETList test invocations
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTestsTest Invocations

List test invocations

GET
/v1/convai/test-invocations
GET
/v1/convai/test-invocations
$curl https://api.elevenlabs.io/v1/convai/test-invocations
1{
2 "results": [
3 {
4 "id": "string",
5 "created_at_unix_secs": 1,
6 "test_run_count": 1,
7 "passed_count": 1,
8 "failed_count": 1,
9 "pending_count": 1,
10 "title": "string",
11 "agent_id": "string",
12 "branch_id": "string",
13 "access_info": {
14 "is_creator": true,
15 "creator_name": "John Doe",
16 "creator_email": "john.doe@example.com",
17 "role": "admin"
18 }
19 }
20 ],
21 "has_more": true,
22 "meta": {
23 "total": 1,
24 "page": 1,
25 "page_size": 1
26 },
27 "next_cursor": "string"
28}
Lists all test invocations with pagination support and optional search filtering.
Was this page helpful?
Previous

Import phone number

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

agent_idstring or nullOptional
Filter by agent ID
page_sizeintegerOptional1-100Defaults to 30
How many Tests to return at maximum. Can not exceed 100, defaults to 30.
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
resultslist of objects
has_moreboolean
Whether there are more results available
metaobject
next_cursorstring or null
Cursor for the next page of results

Errors

422
Unprocessable Entity Error